Bug 102638 - rpm -Fvh kernel removes kernel-smp
rpm -Fvh kernel removes kernel-smp
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-08-19 05:07 EDT by Trond Eivind Glomsrød
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-20 10:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of rpm -Fvvvvvh i (339.02 KB, text/plain)
2003-08-19 05:09 EDT, Trond Eivind Glomsrød
no flags Details

  None (edit)
Description Trond Eivind Glomsrød 2003-08-19 05:07:50 EDT
When you have kernel and kernel-smp installed on a freshly installed system, and
do rpm -Fvh on the 2.4.20-19.9 UP  kernel, the kernel-smp kernel is gone afterwards.

(the reason for doing the kernels one at a time is to avoid the change of boot
order you'll often get afterwards now).
Comment 1 Trond Eivind Glomsrød 2003-08-19 05:09:23 EDT
Created attachment 93743 [details]
output of rpm -Fvvvvvh i
Comment 2 Jeff Johnson 2003-08-20 10:49:51 EDT
Yup. Install kernels with -i, not -F, if you don't like the behavior.

Note You need to log in before you can comment on or make changes to this bug.